## fvwm1 1.24r-53

=== debian/changelog ===
fvwm1 (1.24r-53) unstable; urgency=low

  * Depend on xutils-dev, not xutils (closes: #485202).
  * Remove x-dev from build-depends.
  * Fixed README.Debian to remove reference to /usr/doc.
  * Fix man page error in FvwmSaveDesk.man.
  * Bump standards-version to 3.8.0.

 -- Phil Brooke <pjb@debian.org>  Thu, 17 Jul 2008 20:19:19 +0100

fvwm1 (1.24r-52) unstable; urgency=low

  * Acknowledge NMUs 51.1 and 51.2, thanks.
  * Bump standards-version to 3.7.3.
      * Modify debian/menu for new structure.
  * Updated postinst for correct link target (closes: #451467).
  * Replaced DH_COMPAT line in rules with debian/compat.
  * Added call to dh_desktop.
  * Removed warning about ancient system.fvwmrc from preinst.

 -- Phil Brooke <pjb@debian.org>  Fri, 21 Dec 2007 08:35:56 +0000

fvwm1 (1.24r-51.2) unstable; urgency=high

  * NMU: Update to fix for #413369; cope with symlinks better.

 -- Steve McIntyre <93sam@debian.org>  Fri, 09 Mar 2007 21:20:24 +0000

fvwm1 (1.24r-51.1) unstable; urgency=high

  * NMU to fix RC bug.
  * Move alternatives from /usr/bin/X11. Closes: #413369.

 -- Steve McIntyre <93sam@debian.org>  Wed, 07 Mar 2007 21:20:24 +0000

fvwm1 (1.24r-51) unstable; urgency=low

  * Acknowledge NMU 50.1 -- thanks.
  * Attempting to fix UTF-8 locales problem by disabling I18N patch
    (closes: #392814).
  * Added xfonts-* packages to Suggests list to match fvwmrc.system.
  * Set menu outputencoding as suggested by Bill Allombert.

 -- Phil Brooke <pjb@debian.org>  Thu, 14 Dec 2006 15:51:58 +0000

fvwm1 (1.24r-50.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix path to the manpages in the postinst; there are no manpages in
    /usr/X11R6/share/man anymore. (Closes: #372903)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 28 Jun 2006 19:06:58 +0200

fvwm1 (1.24r-50) unstable; urgency=low

  * Applied patch from Matt Kraai to add xbitmaps to Build-Depends 
    (closes: #366832).
  * Bumped standards-version to 3.7.2.
  * Fixed rules to remove substvars.

 -- Phil Brooke <pjb@debian.org>  Sat, 27 May 2006 13:58:27 +0100

fvwm1 (1.24r-49) unstable; urgency=low

  * Removing xlibs-dev and replacing with libx11-dev, libxext-dev,
    libxmu-dev, libxpm-dev, libxt-dev, x-dev (closes: #345962).

 -- Phil Brooke <pjb@debian.org>  Wed,  4 Jan 2006 15:11:50 +0000

fvwm1 (1.24r-48) unstable; urgency=low

  * Applied patch (no.2) from Lars Wirzenius for bug 337870 
    (closes: #337870).  This fixes FTBFS on alpha and also silences
    some compile-time warnings.
  * Bumped DH_COMPAT to 4 in rules (and debhelper build dependency).
  * Fixed menu-method to use /usr/bin/install-menu as the interpreter
    path.

 -- Phil Brooke <pjb@debian.org>  Tue,  3 Jan 2006 18:36:52 +0000

fvwm1 (1.24r-47) unstable; urgency=low

  * Added /usr/share/xsessions/Fvwm1.desktop file (closes: #322656).
  * Bumped standards-version to 3.6.2.
  * Bumped DH_COMPAT to 3 in rules (and debhelper build dependency).
  * Removed explicit list of conffiles.
  * Moved from installing in /usr/X11R6 to /usr/bin (and similar for
    other directories).  Modules are now installed in /usr/lib/fvwm.
  * preinst now uses /bin/bash not /bin/sh.
  * Added missing quotes to menu file.
  * Changed man page section for the modules.
  * Updated README.Debian.

 -- Phil Brooke <pjb@debian.org>  Sun, 11 Sep 2005 12:51:57 +0100

fvwm1 (1.24r-46) unstable; urgency=low

  * Removed postinst /usr/doc symlink.
  * Update to standards version.

 -- Phil Brooke <pjb@debian.org>  Mon, 11 Nov 2002 12:58:04 +0000

fvwm1 (1.24r-45) unstable; urgency=low

  * New email address for maintainer.

 -- Phil Brooke <pjb@debian.org>  Wed, 17 Apr 2002 13:58:39 +0000

fvwm1 (1.24r-44) unstable; urgency=low

  * New maintainer (Closes: Bug#68146).
  * Changed copyright page to show new maintainer.
  * Fixed several lintian complaints (Closes: Bug#132193).
  * Typo fix in fvwm1.1 manpage.

 -- Phil Brooke <philb@soc.plym.ac.uk>  Mon,  4 Feb 2002 09:00:00 +0000

fvwm1 (1.24r-43) unstable; urgency=low

  * Missed an FHS transition in update-alternatives in postinst (closes:
    #120842)

 -- Julian Gilbey <jdg@debian.org>  Sat, 24 Nov 2001 23:00:27 +0000

fvwm1 (1.24r-42) unstable; urgency=low

  * Move fvwm-common to a Suggests, and make it fvwm-icons | fvwm-common
    to keep dselect happy

 -- Julian Gilbey <jdg@debian.org>  Fri,  7 Sep 2001 00:23:53 +0100

fvwm1 (1.24r-41) unstable; urgency=low

  * Fix HPPA build bug (thanks to HPPA porters for finding this one)
    (closes: #105080)

 -- Julian Gilbey <jdg@debian.org>  Tue, 21 Aug 2001 18:01:21 +0100

fvwm1 (1.24r-40) unstable; urgency=low

  * Correct order of cleaning in debian/rules

 -- Julian Gilbey <jdg@debian.org>  Thu, 22 Feb 2001 20:08:16 +0000

fvwm1 (1.24r-39) unstable; urgency=low

  * Add Build-Depends for xutils.  Maybe they'll even be correct, now.
    (Closes: #85901)
  * Also add Build-Depends for patch
  * Add support for DEB_BUILD_OPTIONS
  * Correct x-window-manager priority in postinst
  * Standards 3.5.0

 -- Julian Gilbey <jdg@debian.org>  Wed, 14 Feb 2001 16:07:31 +0000

fvwm1 (1.24r-38) unstable; urgency=low

  * Correct Build-Depends for XFree86 version 4.0.x (closes: #85496)

 -- Julian Gilbey <jdg@debian.org>  Sun, 11 Feb 2001 00:23:22 +0000

fvwm1 (1.24r-37) unstable; urgency=low

  * Added explanation to README.Debian about iso8859-15 encoding
    (closes: #80500)

 -- Julian Gilbey <jdg@debian.org>  Wed,  7 Feb 2001 15:25:40 +0000

fvwm1 (1.24r-36) unstable; urgency=low

  * Apply i18n patch from Taketoshi Sano <kgh12351@nifty.ne.jp>
    (closes: #60274)
  * Check that ${shlibs:Suggests} is defined, else remove it from the
    control file

 -- Julian Gilbey <jdg@debian.org>  Mon, 11 Dec 2000 23:24:04 +0000

fvwm1 (1.24r-35) unstable; urgency=low

  * Provide x-window-manager

 -- Julian Gilbey <jdg@debian.org>  Tue,  7 Dec 1999 19:41:08 +0000

fvwm1 (1.24r-34) unstable; urgency=low

  * Rebuilt to use new librplay packages in place of old rplay ones.

