=== debian/control ===
Source: fvwm1
Section: x11
Priority: extra
Maintainer: Phil Brooke <pjb@debian.org>
Standards-Version: 3.8.0
Build-Depends: debhelper (>> 4.0.0), patch, libx11-dev, libxext-dev, libxmu-dev, libxpm-dev, libxt-dev, xutils-dev, librplay3-dev, xbitmaps

Package: fvwm1
Architecture: any
Depends: m4, ${shlibs:Depends}
Suggests: menu (>> 2.0), xfonts-100dpi, xfonts-75dpi, fvwm-icons | fvwm-common, ${shlibs:Suggests}
Replaces: fvwm (<= 1.24r-26)
Conflicts: fvwm (<= 1.24r-26)
Provides: x-window-manager
Description: Old version of the F(?) Virtual Window Manager
 This package contains the old version of the FVWM windows manager.
 It is no longer supported upstream, having been replaced by FVWM 2,
 and so no non-Debian-related bugs will be fixed unless someone
 else provides a patch.
 .
 You probably only want to use this package instead of the fvwm
 package if you know what you are doing or have very specific
 requirements.
 .
 FVWM is a fairly small window manager which provides
 a three-dimensional appearance and a virtual desktop,
 complete with colour icons.
 .
 You will need to install the fvwm-common package if you want the
 xpmroot command and some icons, along with manual pages for the modules.
